mcrypt kann nicht geladen werden mit phpmyadmin

By | 4. September 2008

Bei der Neuinstallation meines Servers mit Apache2, PHP5, Mysql und dazu phpMyAdmin, ist folgende Fehlermeldung erschienen. Nach dem einloggen in phpmyadmin hiess es in einem gelben Balken:

Die Erweiterung mcrypt kann nicht geladen werden. Bitte überprüfen Sie Ihre PHP-Konfiguration.



Mein System läuft mit Linux Mint 5 (Elyssa) und ich habe die Synaptic-Packetverwaltung verwendet um alle nötigen Packete zu installieren.
Alle benötigten Libraries, Plugins und Dateien waren vorhanden. Auch ein erneutes installieren hat nichts genützt. Die Logfiles zeigten mir auch keine Fehlermeldung. Die Website funktionierte unbrauchbar langsam und das deutete darauf hin, dass etwas mit den php-einstellungen nicht stimmte. Beim durchschauen des /etc/php5/apache2/php.ini sind mir die Einträge für die Clamav-Extension aufgefallen. Da mcrypt nicht geladen werden konnte und diese Einträge für clamav unmittelbar vor dem Eintrag:

extension=mcrypt.so


standen, versuchte ich die clamav extension für php wieder zu deinstallieren. Die extension heisst übrigens php5-clamavlib.
Danach hat alles wieder bestens funktioniert. Das Problem war also die clamav-extension für php5.

Leave a Reply

Your email address will not be published. Required fields are marked *